diff options
author | brian <brian@FreeBSD.org> | 2001-04-07 09:51:53 +0800 |
---|---|---|
committer | brian <brian@FreeBSD.org> | 2001-04-07 09:51:53 +0800 |
commit | ce0af04642dc19d786a215be8f0db74f5a2e9491 (patch) | |
tree | 4b696edcd900557b20deb2e85a3f743235ee79e2 /net-mgmt | |
parent | 2353ecd66089721852e959beb01e7d6d2cac9430 (diff) | |
download | freebsd-ports-gnome-ce0af04642dc19d786a215be8f0db74f5a2e9491.tar.gz freebsd-ports-gnome-ce0af04642dc19d786a215be8f0db74f5a2e9491.tar.zst freebsd-ports-gnome-ce0af04642dc19d786a215be8f0db74f5a2e9491.zip |
GNU_CONFIGURE=yes and teach arpwatch.sh to figure out $PREFIX
Suggested and reviewed by: John E. Hein <jhein@timing.com>
Diffstat (limited to 'net-mgmt')
-rw-r--r-- | net-mgmt/arpwatch-devel/Makefile | 1 | ||||
-rw-r--r-- | net-mgmt/arpwatch-devel/files/arpwatch.sh | 14 | ||||
-rw-r--r-- | net-mgmt/arpwatch/Makefile | 1 | ||||
-rw-r--r-- | net-mgmt/arpwatch/files/arpwatch.sh | 14 |
4 files changed, 26 insertions, 4 deletions
diff --git a/net-mgmt/arpwatch-devel/Makefile b/net-mgmt/arpwatch-devel/Makefile index 5fae6c47cf8f..157cddbed58c 100644 --- a/net-mgmt/arpwatch-devel/Makefile +++ b/net-mgmt/arpwatch-devel/Makefile @@ -15,6 +15,7 @@ DISTNAME= arpwatch-2.1a10 MAINTAINER= brian@Awfulhak.org +GNU_CONFIGURE= yes HAS_CONFIGURE= yes CONFIGURE_ARGS= --quiet INSTALL_TARGET= install install-man diff --git a/net-mgmt/arpwatch-devel/files/arpwatch.sh b/net-mgmt/arpwatch-devel/files/arpwatch.sh index f0c8a797cb54..1f4ad205b3fe 100644 --- a/net-mgmt/arpwatch-devel/files/arpwatch.sh +++ b/net-mgmt/arpwatch-devel/files/arpwatch.sh @@ -1,9 +1,19 @@ #!/bin/sh +prog=$(realpath $0) || exit 1 +dir=${prog%/*} +PREFIX=${dir%/etc/rc.d} + +if [ ."$dir" = ."$prog" -o ."$PREFIX" = ."$dir" ] +then + echo "$0: Cannot determine the PREFIX" >&2 + exit 1 +fi + case $1 in start) - if [ -x /usr/local/sbin/arpwatch -a -d /usr/local/arpwatch ]; then - /usr/local/sbin/arpwatch && echo -n ' arpwatch' + if [ -x "$PREFIX"/sbin/arpwatch -a -d "$PREFIX"/arpwatch ]; then + "$PREFIX"/sbin/arpwatch && echo -n ' arpwatch' fi ;; stop) diff --git a/net-mgmt/arpwatch/Makefile b/net-mgmt/arpwatch/Makefile index 5fae6c47cf8f..157cddbed58c 100644 --- a/net-mgmt/arpwatch/Makefile +++ b/net-mgmt/arpwatch/Makefile @@ -15,6 +15,7 @@ DISTNAME= arpwatch-2.1a10 MAINTAINER= brian@Awfulhak.org +GNU_CONFIGURE= yes HAS_CONFIGURE= yes CONFIGURE_ARGS= --quiet INSTALL_TARGET= install install-man diff --git a/net-mgmt/arpwatch/files/arpwatch.sh b/net-mgmt/arpwatch/files/arpwatch.sh index f0c8a797cb54..1f4ad205b3fe 100644 --- a/net-mgmt/arpwatch/files/arpwatch.sh +++ b/net-mgmt/arpwatch/files/arpwatch.sh @@ -1,9 +1,19 @@ #!/bin/sh +prog=$(realpath $0) || exit 1 +dir=${prog%/*} +PREFIX=${dir%/etc/rc.d} + +if [ ."$dir" = ."$prog" -o ."$PREFIX" = ."$dir" ] +then + echo "$0: Cannot determine the PREFIX" >&2 + exit 1 +fi + case $1 in start) - if [ -x /usr/local/sbin/arpwatch -a -d /usr/local/arpwatch ]; then - /usr/local/sbin/arpwatch && echo -n ' arpwatch' + if [ -x "$PREFIX"/sbin/arpwatch -a -d "$PREFIX"/arpwatch ]; then + "$PREFIX"/sbin/arpwatch && echo -n ' arpwatch' fi ;; stop) |